import { Blocklet } from '../type';
declare const BlockletContext: import('react').Context<{
    blocklet: Blocklet | null;
    masterBlocklet: Blocklet | null;
}>;
declare const Consumer: import('react').Consumer<{
    blocklet: Blocklet | null;
    masterBlocklet: Blocklet | null;
}>;
declare function BlockletProvider({ children, baseUrl, loading, }: {
    children: React.ReactNode;
    /**
     * baseUrl 为 blocklet origin + blocklet prefix
     */
    baseUrl?: string;
    loading?: React.ReactNode;
}): import("react/jsx-runtime").JSX.Element;
declare function useBlockletContext(): {
    blocklet: Blocklet | null;
    masterBlocklet: Blocklet | null;
};
export { BlockletContext, BlockletProvider, Consumer as BlockletConsumer, useBlockletContext };
